analitza (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:39:57 +0200

analitza (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 21 Mar 2025 17:41:50 +0100

analitza (4:24.12.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 13:07:24 +0100

analitza (4:24.12.1-1) experimental; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 17 Jan 2025 10:29:20 +0100

analitza (4:24.08.2-3) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Use dh-sequence-(kf6,sodeps) instead of --with.
  * Cleanup uploaders.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 18:13:10 +0100

analitza (4:24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Remove not needed Breaks/Replaces.

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Nov 2024 12:19:17 +0100

analitza (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Update build dependencies from the CMake output and rename binary packages
    for the SONAME bump (8 -> 9).
  * Replace pkg-config -> pkgconf.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 18:48:27 -0500

analitza (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:41 +0100

analitza (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:08:47 +0100

analitza (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:22 +0100

analitza (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:45 +0100

analitza (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 16:11:02 +0200

analitza (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:00:13 +0100

analitza (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:42:04 +0900

analitza (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:27:35 +0900

analitza (4:20.12.0-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled. (Closes: #972306)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Jan 2021 16:43:53 +0100

analitza (4:20.12.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the 'acc' autopkgtest, as there are no more .acc.in files for it
    since version 4:17.08.0-1.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 10:53:51 +0100

analitza (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify the dependencies of libanalitza-dev: use the sodeps addon instead
    of manually listing all the libraries.
  * Tighten library dependencies.
  * Do not create temporary directories for dh_auto_test, they are not needed.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 23:23:55 +0200

analitza (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Refresh copyright information.
  * Add Bug-* URLs to upstream metadata.
  * Bump dh compat level to 13.
  * Mark test build dependencies with the <!nocheck> profile.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jun 2020 15:40:42 +0200

analitza (4:19.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream minor release (19.12.2).
  * Bump Standards-Version to 4.5.0 (no change needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Feb 2020 16:05:19 +0100

analitza (4:19.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Aurélien COUDERC ]
  * New upstream release (19.12.1).
  * Refresh build dependencies according to upstream build system:
    - cmake >= 3.5
    - Qt >= 5.6
  * Use new KDE release service URL in debian/watch.
  * Update upstream project URL.
  * Replace debian/compat with debhelper-compat build dependency, bump
    compatibility level to 12.
  * Refresh debian/copyright.
  * Bump Standards-Version to 4.4.1:
    - Add Rules-Requires-Root: no.
  * Borrow minimal upstream signing key from k3b.
  * Add hardening=+all build hardening flag.
  * Drop l10n migration rule not required anymore after 2 stable releases.
  * Drop dbgsym migration rules not required anymore after 2 stable releases.
  * Drop old Replaces / Conflicts rules against long gone versions.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    package.
  * Reactivate build tests.
  * Migrate from dhmk to dh --with kf5.

  [ Helmut Grohne ]
  * Mark analitza-common Multi-Arch: foreign. (Closes: #947259)
  * Mark all other packages Multi-Arch: same.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 24 Jan 2020 20:22:02 +0100

analitza (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 16:07:20 +0100

analitza (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (see #883622)
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused libncurses5-dev, and libreadline-dev build dependencies.
  * Drop manual kde-l10n-ast breaks/replaces, as it is already covered by the
    ${kde-l10n:all} substvar.
  * Add the qttools5-dev build dependency, now required. (Closes: #883835)
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:46:11 +0100

analitza (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Bump group breaks (17.08)
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:10 +0200

analitza (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:47 +0000

analitza (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:09 +0000

analitza (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

analitza (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:44 +0000

analitza (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:01 +0000

analitza (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:03 +0000

analitza (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:13 +0000

analitza (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:47 +0000

analitza (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:49 +0000

analitza (4:16.08.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace dbus-launch with dbus-run-session in tests.
    Thanks to Simon McVittie for reporting (Closes: 835831)
  * New upstream release (16.08.3)

  [ Automatic packaging ]
  * Update symbols files with the buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:34:25 +0100

analitza (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:02 +0000

analitza (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:10 +0000

analitza (4:16.08.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files with the buildds results
  * Update symbols files

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 21:23:49 +0200

analitza (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:51 +0000

analitza (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:08 +0000

analitza (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:49 +0000

analitza (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:11 +0000

analitza (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:10:34 +0200

analitza (4:16.04.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (4:16.04.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 17:33:57 +0200

analitza (4:16.04.0-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Update symbols files.

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:21:15 +0200

analitza (4:15.12.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Feb 2016 08:32:08 +0100

analitza (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * Follow upstream soversion bump

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:23 +0100

analitza (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files.
  * New upstream release (15.08.0).
  * Update symbols files.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 18:05:12 +0200

analitza (4:14.12.3-0ubuntu2) vivid; urgency=medium

   * Fix tests. Calling kdeinit4 in kf5 builds are not going to
    get very far.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 18:30:09 -0700

analitza (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:54:55 -0700

analitza (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 16 Feb 2015 14:55:00 +0100

analitza (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:47:26 -0800

analitza (4:14.12.0-0ubuntu2) vivid; urgency=medium

  * Remove .acc files without abi tars

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 17:52:27 +0100

analitza (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 13:06:59 +0100

analitza (4:14.11.97-0ubuntu4) vivid; urgency=medium

  * Update .symbols file for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 16:55:09 +0100

analitza (4:14.11.97-0ubuntu3) vivid; urgency=medium

  * Update .symbols file for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 16:33:32 +0100

analitza (4:14.11.97-0ubuntu2) vivid; urgency=medium

  * Update .symbols file for armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Dec 2014 15:26:14 +0100

analitza (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Change build-deps for Qt 5 build
  * Change pkg-kde script to version 3 in debian/rules
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 15:41:29 +0100

analitza (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 19:50:59 +0200

analitza (4:4.13.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * analitza-common: break/replace against old libanalitzaplot4 (it helps
    when upgrading from such installations).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 12:41:15 +0200

analitza (4:4.13.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update copyright information. (Closes: #749379)
  * Release to unstable.

  [ Pino Toscano ]
  * Update symbols files.
  * Drop wrong package libanalitzaplot5 (there is libanalitzaplot5abi1
    already, which requires rebuild of rdeps).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 11:52:25 +0200

analitza (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Abi breakage, bump soversion, sync with kubuntu.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 May 2014 20:14:43 +0200

analitza (4:4.12.2-2) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:50 +0200

analitza (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: analitzaplot-armhf, applid by upstream
  * Update install files.
  * Update symbols files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:09 +0100

analitza (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update descriptions, also fixing typos in them. (Closes: #729211)
  * Remove unused kalgebra-common.install.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:27:05 +0100

analitza (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable build failures on missing symbols.
  * Add abi-compliance-checker info.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 19:34:43 +0100

analitza (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 18:00:40 +0100

analitza (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Bump libanalitza libanalitzaplot and libanalitzagui packages
    soversion.
  * Add symbols files.
  * Add new package analitza-common.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:19 +0200

analitza (4:4.10.5-2) unstable; urgency=low

  [ Maximiliano Curia ]
  * New patch: analitzaplot-armhf.patch, to fix build problems in armhf.
  * Update copyright file.

  [ Pino Toscano ]
  * Minor symbols update.
  * Slightly change the description of libanalitzaplot4.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 Jul 2013 10:45:02 +0200

analitza (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 13:23:06 +0200

analitza (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:35:46 +0200

analitza (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Analitza changed abi, but not soname, so let's fix it. abi2
  * Analitzagui changed abi, but not soname, so let's fix. abi1
    - Now uses opengl
  * Analitsaplot is new library

 -- Sune Vuorela <sune@debian.org>  Fri, 05 Apr 2013 19:42:06 +0000

analitza (4:4.8.4-2) unstable; urgency=low

  * Push to unstable

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 22:08:55 +0200

analitza (4:4.8.4-1) experimental; urgency=low

  * Team upload. Uploading to experimental.
  * New upstream release.
    - Don't link calgebra with curses. (Closes: #648334)

  [ José Manuel Santamaría Lema ]
  * Split analitza out of kalgebra:
    - development package is libanalitza-dev, not kalgebra-dev.
    - add new package libanalitza-dbg, which breaks and replaces kalgebra-dbg.
    - update Vcs-* fields.
    - source package belongs 'libs' Section.
    - add binary package calgebra, which was formerly provided by
      kalgebra-common.
    - drop unused build dependencies: libqt4-opengl-dev, libkdeedu-dev.
  * Confirm symbols files on all architectures with 4.7.4 build logs.
  * Update enable_debianabimanager.diff.
  * Bump build dependencies for KDE SC 4.8.4:
    - kde-sc-dev-latest to 4.8.4.
    - kdelibs5-dev to 4.8.
  * Drop libncurses-dev build depend, no longer needed.
  * Don't pass -DINSTALL_ANALITZA_HEADERS=TRUE to cmake, not needed anymore.
  * Bump libanalitza SONAME due to binary incompatible changes.
  * Update installed files.
  * Update symbols files.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Add watch file.
  * Update copyright file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 17 Jun 2012 16:19:42 -0300

kalgebra (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Remove patches:
   - add_findanalitza.diff, applied upstream.
   - install_variables_model.diff, applied upstream.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:52:42 +0100

kalgebra (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:03 -0300
